at.chipkarte.client.sas.soap

## Class AbfrageErgebnis

- Object
- - at.chipkarte.client.sas.soap.AbfrageErgebnis

-     public class AbfrageErgebnis
      extends Object

  Enthält bei positiver Durchführung der Funktionen `svNummerAbfragen` beziehungsweise `patientendatenAbfragen` als Ergebnis die Patientendaten.

  Zusätzlich zur gefundenen SV-Nummer werden auch die bei der Suche übergebenen Daten wieder zurückgeliefert. Dabei werden allerdings die Namensfelder in jener Schreibweise geliefert, wie sie in der e-card-Datenbank vorliegen (wurde beispielsweise nach "Hans-Peter Huber" gesucht, aber ein "Hans Peter Huber" gefunden, so wird als Vorname "Hans Peter" zurückgeliefert).

  Es sind immer alle Felder des AbfrageErgebnis befüllt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbfrageErgebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDruckFamilienname()` DruckFamilienname der gefundenen SV-Person.
    `String` | `getDruckVorname()` DruckVorname der gefundenen SV-Person.
    `String` | `getFamilienname()` Familienname der gefundenen SV-Person (in der Schreibweise in der die Person in der e-card-Datenbank gespeichert ist).
    `String` | `getGeburtsdatum()` Geburtsdatum der gefundenen SV-Person.
    `String` | `getSvNummer()` Sozialversicherungsnummer der gefundenen SV-Person.
    `String` | `getTodesdatum()` Das Todesdatum des Patienten.
    `String` | `getTodesdatumBestaetigtKZ()` Gibt an ob das Todesdatum bestätigt ist (true) oder nicht (false).
    `String` | `getVorname()` Vorname der gefundenen SV-Person (in der Schreibweise in der die Person in der e-card-Datenbank gespeichert ist).
    `void` | `setDruckFamilienname(String druckfamilienname)`
    `void` | `setDruckVorname(String druckvorname)`
    `void` | `setFamilienname(String familienname)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTodesdatum(String todesdatum)`
    `void` | `setTodesdatumBestaetigtKZ(String todesdatumBestaetigtKZ)`
    `void` | `setVorname(String vorname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbfrageErgebnis

          public AbfrageErgebnis()

  - ### Method Detail

    - #### getFamilienname

          public String getFamilienname()

      Familienname der gefundenen SV-Person (in der Schreibweise in der die Person in der e-card-Datenbank gespeichert ist).
      Format: maximal 70 Zeichen
      Returns:
        Familienname der gefundenen SV-Person

    - #### getDruckFamilienname

          public String getDruckFamilienname()

      DruckFamilienname der gefundenen SV-Person.
      Format: maximal 70 Zeichen
      Returns:
        DruckFamilienname der gefundenen SV-Person

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum der gefundenen SV-Person.
      Format: TT.MM.JJJJ
      Returns:
        Geburtsdatum der gefundenen SV-Person

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der gefundenen SV-Person.
      Format: 10-stellig, nummerisch
      Returns:
        Sozialversicherungsnummer der gefundenen SV-Person

    - #### getVorname

          public String getVorname()

      Vorname der gefundenen SV-Person (in der Schreibweise in der die Person in der e-card-Datenbank gespeichert ist).
      Format: maximal 70 Zeichen
      Returns:
        Vorname der gefundenen SV-Person

    - #### getDruckVorname

          public String getDruckVorname()

      DruckVorname der gefundenen SV-Person.
      Format: maximal 70 Zeichen
      Returns:
        DruckVorname der gefundenen SV-Person

    - #### getTodesdatum

          public String getTodesdatum()

      Das Todesdatum des Patienten.
      Das Feld wird nur im Falle des gemeldeten Todes des Patienten gesetzt, sonst ist es leer.
      Format: TT.MM.JJJJ
      Returns:
        Todesdatum des Patienten

    - #### getTodesdatumBestaetigtKZ

          public String getTodesdatumBestaetigtKZ()

      Gibt an ob das Todesdatum bestätigt ist (true) oder nicht (false). Wenn der Patient im eCS nicht als verstorben geführt wird, bleibt dieses Feld leer (nicht null).
      Returns:
        Mögliche Werte siehe Codes in `TodesdatumBestaetigtKZ`.

    - #### setFamilienname

          public void setFamilienname(String familienname)

    - #### setDruckFamilienname

          public void setDruckFamilienname(String druckfamilienname)

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setVorname

          public void setVorname(String vorname)

    - #### setDruckVorname

          public void setDruckVorname(String druckvorname)

    - #### setTodesdatum

          public void setTodesdatum(String todesdatum)

    - #### setTodesdatumBestaetigtKZ

          public void setTodesdatumBestaetigtKZ(String todesdatumBestaetigtKZ)